Page 1 sur 1

[LibO] Extensions et dictionnaires LibO [Mac Intel OsX]

MessagePublié: 03 Août 2014 10:15
par Papayes
Mac OsX Intel & LibreOffice : Extensions & Dictionnaires

 Ajout : Édition du 8 août 2015 

Bonjour,
Jean-Yves LUCCA alias papayes a écrit:Ce tutoriel est sous licence GNU F.D.L. (Licence de Documentation Libre GNU)
en français : http://cesarx.free.fr/gfdlf.html, officiel : http://www.gnu.org/licenses/licenses.html#GPL
Vous êtes libre de le reproduire, le recopier, le réutiliser, l'améliorer, le modifier, le distribuer à condition de lui attribuer les mêmes libertés et de citer son origine : ForumOpenOffice

Ce tutoriel est la suite directe après l'installation proprement dite de LibreOffice 4 que vous avez suivie dans le tutoriel d'installation dédié.

Dans ce message :
  1. Accès aux extensions :
  2. Installation de la Sauvegarde incrémentée automatique comme exemple important ;
  3. Les Dictionnaires français installés par défaut.
Dans les 3 messages suivants
  1. Cas d'une mise à jour sans purge d'un ancien profil : Suppression d'un dictionnaire obsolète et verrouillé
  2. Installation du dictionnaire grammatical Grammalecte qui met à jour les dictionnaires français ;
  3. Mise à jour du dictionnaire français et/ou le dictionnaire grammatical Language Tool

A. L'accès aux Extensions
    dont font partie les Dictionnaires se fait par
    Menu : Outils > Gestionnaire des extensions...>soit lors de l'écran d'Accueil
    GDE par AccueilRéduit.png
    soit par le menu d'un des modules :
    GDE pr Writer.png

La boite de dialogue Gestionnaire des extensions comporte plus ou moins d'extensions en fonction de l'installation réalisée
  1. Installation par défaut
    GDEparDéfautLIBO433.png

  2. Installation sans purge du profil : vous retrouvez vos anciennes extensions déjà installées.

Pour ajouter une extension, un simple clic sur le bouton Ajouter...(1)

Le tutoriel est illustré de copies d'écran avec l'installation par défaut.

B. Téléchargez sur le forum l'extension d'Alain de la Chaume : Sauvegarde incrémentée automatique,

Dans la fenêtre Gestionnaire des extensions
  1. Cliquez sur le Bouton Ajouter... (1) >
    S'ouvre la boite de dialogue Ajouter des extensions >
    AjouterAlain21L.png

  2. Sélectionner le fichier téléchargé > acincrSav-L-2.1.oxt
    Valider par le bouton Ouvrir ou Open

  3. LibO 4.2.6 : La boite de dialogue qui se superposait
    et permettait de choisir l'installation Seulement pour moi ou Pour tous les utilisateurs (2) a disparu
    mais est revenue avec la version 4.3.1....
    AlertepourAlain21L.png


  4. L'extension se pré-installe très rapidement. Gestionnaire des extensions.
    Alain21L_InstallésurLibO430.png


C. Dictionnaire français installé par le Paquet de langue
    Le dictionnaire français installé par défaut se compose
      d'un vérificateur orthographique (morphologique),
      d'un dictionnaire des coupures des mots (césures),
      et d'un dictionnaire des synonymes.
    Il s'agit du dictionnaire français version 4.11,
    depuis la version 4.3.3 du dictionnaire français version 4.2
    et avec LibO 5.0 de la version 5.3.2.

    Vérification : Menu : Outils > Gestionnaire des extensions...>
    DIctionnaire_par_défaut430.png
    Dictionnaire installé par défaut avec LibO 4.3.0

    Dico_par-defaut_LibO433.png
    Dictionnaire installé par défaut avec la version LibO 4.3.3

    LibreOffice version 5.0.0
    GDELibO5.png
    Dictionnaire installé par défaut avec la version LibO 5.0.0

Vous devez fermer et relancer LibO pour que l'extension pré-installée soit activée.

Si c'est une première installation ou une mise à jour récente, vous pouvez laisser le Gestionnaire ouvert et passer directement au 2e message suivant pour installer Grammalecte.

Suite ➫

Désinstaller un dictionnaire obsolète et verrouillé

MessagePublié: 03 Août 2014 15:13
par Papayes
Désinstaller un dictionnaire obsolète et verrouillé

Cas d'une mise à jour avec un dictionnaire obsolète, antérieur à celui installé par défaut dico 4.11
qui subsisterait en raison de la non purge d'un ancien profil.

Version Évolutive de LibO a écrit::twisted: Lors de l’installation de LibO 4.4.5, on se retrouve avec tous les dictionnaires comme auparavant et ce passage est indispensable pour avoir un Gestionnaire des extensions lisible !
    GestionnaireLibO443.png


Sous MacOsX, si vous désirez utiliser le dernier dictionnaire et/ou bénéficier du Correcteur grammatical Grammalecte 4,
Il est préférable d'enlever les dictionnaires obsolètes qui viendraient perturber le bon fonctionnement de la vérification orthographique
et même provoquer des gels de LibO.

  1. Par la même occasion, vous pourrez supprimer les dictionnaires imposés et verrouillés par LibO :twisted:
    si vous ne devez pas vous en servir :
    • le dictionnaire orthographique espagnol
    • le dictionnaire anglais (celui nommé "Dictionnaire d'orthographe, des synonymes, de grammaire et règle de coupure...2011.12.05")
    ou par exemple si vous désirez installer d'autres versions telles que l'English (US), Spanish (Argentina), etc.

      ➫ Note : Pour installer d'autres dictionnaires, il faut télécharger les extensions nécessaires et les installer à l'aide du Gestionnaire des extensions.
      Menu : Outils > Gestionnaire des extensions...> Bouton Ajouter...
  2. ➫ Ces extensions verrouillées sont installées pour tous les utilisateurs,
    et se trouvent dans le dossier du programme LibreOffice.app.
  3. La procédure pour supprimer des extensions verrouillées :
    1. Quitter LibO par cmd⌘ + Q
    2. Puis allez dans le dossier Applications du Mac
    3. Clic droit sur LibreOffice.app > Afficher le contenu du paquet
      Image

      Déroulez l'arborescence des fichiers > Contents > share > extensions >
        ShareLibO4.png
    4. Sélectionnez les dossiers en entier à supprimer :
      • le dossier dico-fr ,
      • le dossier dict-es si vous ne l'utilisez pas,
      • le dossier dict-en si nécessaire
      et glissez-les à la Corbeille...

      Version Évolutive de LibO a écrit:Nouvelle arborescence avec LibO 4.4.x :
      1. LibO 4.4.1 : Contents > Resources > extensions >
        ArborescenceLibO441.png

      2. LibO 4.4.3 :
        LibO443Contents.png
      3. Sélectionnez les dossiers en entier à supprimer :
        • éventuellement le dossier dico-fr, inutile si vous avez une version 0.4 de Grammalecte.
        • le dossier dict-es si vous ne l'utilisez pas,
        • le dossier dict-en si nécessaire
        et glissez tous les autres en les sélectionnant et en les glissant à la Corbeille...
        LibO443aprèssupp.png
        Exemple du dossier "extensions" avec les seuls dictionnaires français et anglais conservés

    5. Fermez.

  4. En ouvrant LibO et le Gestionnaire des extensions,

    par exemple en laissant les dictionnaires habituels Anglais, Espagnol et Français avec la version LibO 4.4.1 nettoyée
      LibO441 4 dicohabtuels.png

    sinon on a enfin une impression de liberté, une seule extension résiste...avec ou sans l'extension AcIncr
    LibOMacNettoyage complet.png

Grammalecte et LibO

MessagePublié: 03 Août 2014 15:27
par Papayes
 Ajout : Édition du 8 août 2015 


Le Dictionnaire français 5.0.2 installé par défaut de la version 4.3.7 ou le dictionnaire 5.3.2 de la version LibO 5.0.0
    DicoDéfaut437.png
    GDELibO5.png
    Gestionnaire des Extensions et le Dictionnaire installé par défaut avec LibO 5.0.0
ne sont ni la dernière édition ni un dictionnaire grammatical.
Si vous désirez installer Grammalecte 0.4.10, le dictionnaire grammatical le mettra à jour en même temps.

Il existe deux Dictionnaires grammaticaux au choix

    I. Grammalecte ou
    II. Language Tool
:!: N'installez qu'une seule de ces deux extensions LanguageTool ou Grammalecte
car il ne peut y avoir deux correcteurs grammaticaux se disputant le contrôle d’une langue.

Il est désormais possible d'installer en même temps
  • la dernière version du dictionnaire orthographique 5.4 et
  • Grammalecte, le dictionnaire grammatical qui l'inclut.
➫ Si vous désirez utiliser Language Tools au lieu de Grammalecte,
passez directement au message suivant Installation de Language Tools.

Installation de Grammalecte 0.4.10.2 comprenant la dernière version des Dictionnaires français

  1. Télécharger l'extension Grammalecte à droite de la page de téléchargement de Grammalecte
    http://www.dicollecte.org/grammalecte/telecharger.php
    Utilisez le site de Grammalecte pour télécharger la dernière mise à jour si le lien direct ci-dessous ne répond plus.
      Gramma04102LibO.png
    Cliquez sur le cadre bleu GRAMMALECTE (Dictionnaire inclus) Version 0.4.10.2 • 5 août 2015
    pour télécharger Grammalecte-v0.4.10.2.oxt (3,5 Mo)


    Lien direct au 8 août 2015 :
    http://www.dicollecte.org/grammalecte/oxt/Grammalecte-v0.4.10.2.oxt

      OuvertureGrammaLibO102.png
  2. Installation par le Gestionnaire des extensions.
    Menu : Outils > Gestionnaire des extensions...>

    Dans la fenêtre Gestionnaire des extensions,
    1. clic sur le Bouton Ajouter... > (1)
      S'ouvre la boite de dialogue Ajouter des extensions
      AjouterGramma10LibO.png
      qui permet de parcourir l'arborescence des dossiers.

    2. Choisir le fichier téléchargé Grammalecte-v0.4.10.2.oxt
      Validez par le bouton Ouvrir ou Open.

    3. Messages d'alerte :
      1. Avec libO 4.2.6 re-disparaît la boite de dialogue qui se superposait (elle avait déjà disparue avec 4.2.0)
        mais reparaît depuis LibO 4.3.1
        en proposant de choisir l'installation Seulement pour moi ou Pour tous les utilisateurs
        AlerteLibO437.png
      2. avec LibO 4.4.3, le message est modifié, Seulement pour moi est désormais en bouton central.
        NouvelleAlerte443.png

      Mise à jour sans désinstaller la précédente version a écrit: Un message d'alerte apparaît si vous n'avez pas supprimé la précédente version 4 de Grammalecte.
      MiseàjourAncienne versionLibO.png
      Validez le message par le bouton OK


    4. L'extension se pré-installe comme en témoigne la petite barre de progression rapide au bas de la boite de dialogue.
        LibOGramma102Installée.png
        Le Bouton Options... disparaît avec la version 0.4.10.1 du Gestionnaire des extensions mais vous retrouverez les Options de Grammalecte avec le Menu : Grammalecte > Options...
    5. mais il faudra quitter LibO pour que l'extension soit prise en compte.

      Fermez le Gestionnaire par le bouton Fermer ou par sa croix rouge

Quittez LibO par Ctrl + Q

Le Dictionnaire 5.4 est bien installé : il apparaît avec Grammalecte par son information Grammalecte (pack) 5.4 dans le Gestionnaire
Vous pourrez le constater au redémarrage de LibO.
Par défaut, le bouton-icône de la Barre Standard est sélectionné et le dictionnaire est actif.
Dictionnaire 5 a écrit:Cette extension est particulièrement remarquable pour les Enseignants de Français
car il est possible de choisir et d'utiliser l'un des 4 dictionnaires,

Menu > Outils > Langue >Dictionnaires orthographiques français... >
Outils Langue - Dico fr.png
Cochez le dictionnaire désiré
OrthographeLibO47.png
> Bouton Utiliser ce dictionnaire

En cas de changement, il est nécessaire de Quitter et de redémarrer LibreOffice.


A propos de Grammalecte 0.4
  • Le dictionnaire grammatical fonctionne alors en bleu dans le cadre du dictionnaire orthographique.

  • La version 0.4 apporte un flot d'informations, un clic droit sur le mot souligné est particulièrement riche.
    Nouveauté : désormais un mot, pouvant être employé comme verbe ou comme adjectif, est repéré
    verbe ou adjectif.png
    et l'accord éventuel est proposé. :super:
  • Grammalecte apparait dans le Menu de LibO avec un sous-menu avec 6 commandes :
    LibOMenuGramma.png

    1. Menu : Grammalecte > Formateur de texte...
      ouvre la boite de dialogue Formateur de texte... :
      Gramma48Formateur.png
      qui permet en une seule passe de corriger toutes les erreurs signalées par le Bouton "Appliquer"
      Attention : La case "Retour à la ligne = fin de paragraphe" permet de modifier tous les retours à la ligne ↵ (maj + Entrée) d'un texte collé du net en des fins de paragraphe ¶ (Entrée).

    2. Menu : Grammalecte > Conjugueur... qui propose
      Conjugueur47.png
      les tableaux de conjugaison des temps simples.

    3. Menu : Grammalecte > Dictionnaire orthographique... la même commande qui permet de choisir le type de dictionnaire

    4. Modifier le champ "Auteur"...
      qui ouvre une nouvelle boite de dialogue Grammalecte . Éditer le champ "Auteur"
      LibOEdition du hampsAuteur.png
      permettant de modifier pour les données personnelles pour ce document
      à valider par le bouton Modifier.

    5. Menu : Grammalecte > Options... ouvre une nouvelle boite de dialogue Grammalecte . Options du contrôle grammatical
      LibOGrammaOptions49.png
      étrangement vide qu'il faut compléter en cochant les bonnes cases.
      Une InfoBulle signale les caractéristiques de chaque option en glissant le curseur sur leur nom.
      OptionsGrammaRemplies.png

  • Le tutoriel du Forum d' Olivier R est à consulter en cas de difficulté de fonctionnement Dictionnaires orthographiques

Suite ➫

Optionnel Dictionnaire 5.3 et/ou Language Tool

MessagePublié: 03 Août 2014 16:14
par Papayes
III. Dictionnaires optionnels : Dico 5.3 & Language Tool

 Ajout : :alerte:
    LanguageTool 2.7 nécessite Java 7 ou Java 8 , qui ne fonctionne qu'avec un Mac en version 64 bits. Votre version de LibreOffice doit être une version en 64 bits mais le Mac a aussi besoin de la version "Java for OS X installed"
    https://bugs.freedesktop.org/show_bug.cgi?id=74877Bug 74877 : OS X 10.9 : abrupt exit of LO in JNI_CreateJavaVM w/ Oracle Java 7 and w/o Apple Java 6 (et Yosemite 10.10 également).
 


Installation optionnelle du Dictionnaires 5.3 & du dictionnaire grammatical Language Tool[/color][/u][/b]

Uniquement si vous n'avez pas installé Grammalecte.

:!: N''installez qu'une seule des deux extensions LanguageTool ou Grammalecte, car il ne peut y avoir deux correcteurs grammaticaux se disputant le contrôle d’une langue.

Le dictionnaire Language Tool fonctionne avec le dictionnaire 4.11 par défaut.
    Dictionnaire_par_défaut426.png
    Il suffit d'installer Language Tool :
    en cliquant sur le bouton Ajouter (1) Voir la partie B.

Installation optionnelle de la dernière version du dictionnaire français 5.3
Cependant, je vous recommande d'installer la dernière version du Dictionnaire français
si vous ne l'avez pas déjà par défaut avec la mise à jour de LibO 4.3.3.

Alerte de compatibilité des version LT 22 ou 26 a écrit: :alerte: Language Tools 2.6 ne fonctionnent qu'avec Java 7 ou Java 8 installé.
    Si vous tentez une installation avec la version 1.6 d'Apple.inc,
    Vous aurez un message d'erreur de ce type :
    LT34Pas deJava7.png
Si vous devez changer la version de Java Apple pour passer en version Java Oracle 1.7 ou 1.8,
et si vous aviez une version antérieure à Language Tool 2.2, supprimez-la impérativement par le Gestionnaire des extensions.


3 étapes si vous désirez installer LT avec le dernier dictionnaire FR :
  1. Vérifiez la version de Java activée sur votre ordinateur
  2. Installation de la mise à jour de la version Dictionnaire français 5.3
  3. Installation de Language Tool version 2.2 ou de Language Tool version 2.6

A. Vérifiez la version de Java activée sur votre ordinateur
Version de java (RE) activée a écrit:Voir les messages
du tutoriel : Aller au message
ou
Tutoriel avec toutes les copies d'écran : [Java] Installation de JRE 8 pour Mac Intel

LibONotezJavaIActivée.png
Notez la version que vous avez activée.


B. Installation de la mise à jour de la version Dictionnaire français 5.3

  1. Téléchargez la version récente du dictionnaire
    Par le site de Grammalecte a écrit:à gauche de la page du site Grammalecte
    http://www.dicollecte.org/grammalecte/telecharger.php

    TéléchargementDico53.png
    Cliquez sur le cadre bleu DICTIONNAIRES Version 5.2 • 28 février 2015
    pour télécharger lo-oo-ressources-linguistiques-fr-v5-3.oxt (3,2 Mo)


    Lien direct de téléchargement : http://extensions.libreoffice.org/exten ... r-v5-3.oxt

    OuvertureDico53.png

  2. Installer par le Gestionnaire des extensions
    Menu : Outils > Gestionnaire des extensions...>
    Dans la fenêtre Gestionnaire des extensions
    1. Cliquez sur le Bouton Ajouter... (1) >
    2. Dans la boite de dialogue
      AjouterDico52surLibO.png
      Sélectionner le fichier téléchargé lo-oo-ressources linguistiques-fr-v5.3.oxt >
      Valider par le bouton Ouvrir ou Open.

    3. LibO 4.2.6 : La boite de dialogue LibreOffice 4.2.x.y qui se superposait
      et permettait de choisir Pour tous les utilisateurs (2) ou Seulement pour moi a encore disparue
      mais ré-apparaît avec LibO 4.3.1
      AlertelibO431surDico411.png

    4. L'extension se pré-installe,
      Dico52InstallésurLibO.png
    ➫ mais il faudra quitter LibO par cmd + Q pour que cette modification soit prise en compte au redémarrage de l'application.

C. Dictionnaire grammatical : Extension Language Tool

  1. Téléchargement de l'extension
    LanguageTool par dnaber : Get it

    • Java Apple 1.6 : Choisir la version LT 2.2 Lien direct

      Ouverture LT22.png

    • Java Oracle 1.7 ou 1.8 : Choisir la version LT 2.7 Lien direct

      OuvertureLT27.png
  2. Installation par le Gestionnaire des extensions
    Ouvrir le Gestionnaire des extensions Menu : Outils > Gestionnaire des extensions...>
    1. Bouton Ajouter... (1)
    2. Dans la boite de dialogue Ajouter des extensions,
      LIBO_AjouterLT22bis.png
      choisir le fichier LanguageTool-2.2.oxt
      OU
      AjouterLT27.png
      le fichier LanguageTool-2.7.oxt
      Validez par le bouton Ouvrir

    3. LibO 4.2.6 : La boite de dialogue LibreOffice 4.2.x.y qui se superposait et permettait de choisir Pour tous les utilisateurs (2) ou Seulement pour moi a encore disparue mais ré-apparaît avec LibO 4.3.1
      AlerteLibO431pourLT26.png

    4. Language Tool 2.2
      LibOLT22Installéebis.png
      OU
      Language Tool 2.7
      LT27Installée.png
      s'installent lentement en raison de leur taille.

    5. Quitter LibreOffice par cmd⌘ + Q et redémarrer le programme pour que la modification soit prise en compte.

D. Fonctionnement de Language Tools
Le dictionnaire grammatical fonctionne alors en bleu dans le cadre du dictionnaire orthographique.


La suite du tutoriel d'installation consiste dans les différents réglages indispensables pour bien utiliser LibreOffice.
Les conseils et réglages se trouvent dans le tutoriel suivant :

LibreOffice 4 ➫ Réglages personnalisés, Allez au Tutoriel

Cordialement,